﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <style>
        #title{
            text-align:center;
            font-weight:bold;
            font-size:25px;
        }
        #subtitle{
            text-align:center;
            font-weight:200;
            font-size:20px;
        }
    </style>

    <div id="title" >Title</div>
    <div id="subtitle" >Sub Title</div>
    <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" >
        <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" EditType="String" Visible="false"/> 
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" EditType="Numeric"/>
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Format="{0:C}" EditType="Numeric" >                    
                <NumericEditOptions DecimalPlaces="2" ></NumericEditOptions>
                </ej:Column>
                <ej:Column Field="OrderDate" HeaderText="Order Date" EditType="Datepicker" Format="{0:MM/dd/yyyy}"/>
                <ej:Column Field="ShipCity" HeaderText="Ship City" EditType="Dropdown"/>            
            </Columns>
    </ej:Grid>

</asp:Content>
